## nntp-merge 0.2.2

=== src/Makefile ===
CFLAGS= -Wall -Wwrite-strings -Wpointer-arith -Wnested-externs \
	-Wmissing-declarations -Wmissing-prototypes -O3 -g
# -DDEBUG
LDFLAGS= -s
LIBS= -lident

TARGETS=	nntp-merge md5cookie1way nnrpwrap

all:		$(TARGETS)

nntp-merge:	main.o post.o config.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

md5cookie1way:	sharedsecret.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

nnrpwrap:	nnrpwrap.o md5.o
		$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
		rm -f *.o *~ ./#*

realclean:	clean
		rm -f $(TARGETS)

main.o post.o config.o:		nntp-merge.h
main.o:				md5.h
md5.o:				md5.h

=== debian/changelog ===
nntp-merge (0.2.2) experimental; urgency=low

  Initial `packaged' version (Earlier release was on 16th September 1997.):
  * Debian package.
  * Portability fixes.
  * Some docs improvements.

 -- Ian Jackson <ian@davenant.greenend.org.uk>  Mon,  1 May 2000 16:34:45 +0100

# Local variables:
# mode: debian-changelog
# End:

=== debian/control ===
Source: nntp-merge
Section: news
Priority: extra
Maintainer: Ian Jackson <ian@davenant.greenend.org.uk>
Standards-Version: 2.1.1.0

Package: nntp-merge
Architecture: any
Depends: ${shlibs:Depends}
Description: Access-controlled, server-merging NNTP `proxy'

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.3 2000/05/01 14:40:33 ian Exp $

package=nntp-merge

build:
	$(checkdir)
	$(MAKE) -C src
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -C src clean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars*

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/etc/news debian/tmp/usr/{bin,sbin}
	install -d debian/tmp/var/lib/news/merge debian/tmp/usr/share/doc/${package}
	install -m 755 src/{nntp-merge,nnrpwrap,nntp-merge-tcpd} debian/tmp/usr/sbin/.
	install -m 755 src/md5cookie1way         debian/tmp/usr/bin/.
	install -m 644 src/nntp-merge.conf       debian/tmp/etc/news/.
	#
	install -d debian/tmp/DEBIAN
	install -m 755 debian/{pre,post}{inst,rm}	debian/tmp/DEBIAN/.
	install -m 644 debian/conffiles			debian/tmp/DEBIAN/.
	#
	ln -sf nntp-merge-tcpd debian/tmp/usr/sbin/in.nnrpd
	ln -sf /etc/news/{md5cookies,nntp-merge.conf} debian/tmp/var/lib/news/merge/.
	#
	cp README debian/tmp/usr/share/doc/$(package)/
	cp debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog
	dpkg-shlibdeps debian/tmp/usr/{bin,sbin}/*
	dpkg-gencontrol
	chown -hR root.root	debian/tmp
	chmod -R g-ws		debian/tmp
	chown -hR news.news	debian/tmp/{etc,var/lib/news/merge}
	chmod -R g+w		debian/tmp/{etc,var/lib/news/merge}
	chmod g+s		debian/tmp/{etc,var/lib/news/merge}
	dpkg --build debian/tmp ..

define checkdir
	test -f src/nntp-merge-tcpd
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
